Bug 1228305 - dmlite-plugins-adpter build fails in epel7 ppc64le
Summary: dmlite-plugins-adpter build fails in epel7 ppc64le
Status: CLOSED EOL
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: dmlite-plugins-adapter
Version: epel7
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Alejandro Alvarez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: epel7ppc64le
TreeView+ depends on / blocked
 
Reported: 2015-06-04 14:55 UTC by Menanteau Guy
Modified: 2015-07-06 06:50 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-07-06 06:50:59 UTC


Attachments (Terms of Use)

Description Menanteau Guy 2015-06-04 14:55:05 UTC
Got an error when trying to build  dmlite-plugins-adapter-0.6.1-1.el7.src and 
dmlite-plugins-mysql-0.6.0-3.el7.src in my local ppc64le epel7 environment.

Error is:
fatal error: dmlite/cpp/dmlite.h: No such file or directory
 #include <dmlite/cpp/dmlite.h>
                               ^
compilation terminated.

With dmlite-devel-0.7.2-1.el7 it seems that there is no more 
/usr/include/dmlite/cpp/dmlite.h installed.

I guess there is a mismath version between dmlite built in el7 and 
dmlite-plugins... version pachkages.dmlite-plugins... packages could need version update in epel to be aligned with dmlite package.

I did not check but this problem could also be present in other arches than ppc64le and in el5 and el6 too.

Comment 1 Alejandro Alvarez 2015-06-04 15:00:30 UTC
Hi,

All dmlite plugins were merged together into dmlite. dmlite-plugins-* need to be deprecated.
This happened since cpp/dmlite.h was made private by upstream.

Regards.

Comment 2 Alejandro Alvarez 2015-07-06 06:50:59 UTC
dmlite-plugins-adapter marked as dead


Note You need to log in before you can comment on or make changes to this bug.